/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  manuf.cpp
 *
 *    Description:  Manufacturer information from _manuf files
 *
 *        Created:  2008-02-15 15:50:25 CEST
 *
 *	Copyright (C) 2008 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */

#include "manuf.h"

#include <QTextStream>
#include <QStringList>
#include <QFile>

int ReadManufData(QList<Manufacturer> *list)
{
	qDebug("startujemy");
	QFile dfile("/etc/ap_manuf");
	dfile.open(QIODevice::ReadOnly);
	QTextStream mdata(&dfile);
	while(!mdata.atEnd())
	{
		QString data	= mdata.readLine();
		QStringList parts	= data.split("\t");
		if(parts.size() < 2)
			continue;
		else
			qDebug(parts[1].toAscii().data());
	}


}
